Package org.mariadb.jdbc.pool

## Interface PoolMBean

All Known Implementing Classes:
  `Pool`

    public interface PoolMBean

JMX pool bean

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getActiveConnections()` get pool active connection number
`long` `getConnectionRequests()` get connection waiting request number
`long` `getIdleConnections()` get idle connection number
`long` `getTotalConnections()` get pool total connection

### Method Detail

#### getActiveConnections

    long getActiveConnections()

get pool active connection number

Returns:
  pool active connection number

#### getTotalConnections

    long getTotalConnections()

get pool total connection

Returns:
  pool total connection number

#### getIdleConnections

    long getIdleConnections()

get idle connection number

Returns:
  idle connection number

#### getConnectionRequests

    long getConnectionRequests()

get connection waiting request number

Returns:
  request number